Sync sequence status
curl --request GET \
--url https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "0cb7da35-1fff-4d4a-bf1b-6534d515e5b5",
"status": "done",
"syncRuns": [
{
"syncId": 3093,
"status": "success",
"finishedAt": "2023-10-17T11:06:01.713+00:00",
"syncRunId": 6134
},
{
"syncId": 1960,
"status": "warning",
"finishedAt": "2023-10-17T11:06:10.567+00:00",
"syncRunId": 6148
}
]
}{
"message": "Validation failed",
"details": {}
}API Reference
Sync sequence status
Get the status of a sync sequence run.
GET
/
sync-sequences
/
runs
/
{syncSequenceRunId}
Sync sequence status
curl --request GET \
--url https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/sync-sequences/runs/{syncSequenceRunId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "0cb7da35-1fff-4d4a-bf1b-6534d515e5b5",
"status": "done",
"syncRuns": [
{
"syncId": 3093,
"status": "success",
"finishedAt": "2023-10-17T11:06:01.713+00:00",
"syncRunId": 6134
},
{
"syncId": 1960,
"status": "warning",
"finishedAt": "2023-10-17T11:06:10.567+00:00",
"syncRunId": 6148
}
]
}{
"message": "Validation failed",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the sync sequence run
Was this page helpful?